Subject: Minor documentation fix (`use-package')

From: Dominik Schrempf <[email-masked]>
Date: Thu, 27 Mar 2025 16:01:33 +0100

Hello,

I attach a suggested minor patch of the documentation of `use-package'.

>From e54dbd45e0e4f41768dec5cd0ae88b59ef7f65f2 Mon Sep 17 00:00:00 2001
From: Dominik Schrempf <[email-masked]>
Date: Thu, 27 Mar 2025 15:54:52 +0100
Subject: [PATCH] Fix minor issues in documentation of `use-package'

---
 lisp/use-package/use-package-core.el | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/lisp/use-package/use-package-core.el b/lisp/use-package/use-package-core.el
index 84ff637435a..5bf3505a25e 100644
--- a/lisp/use-package/use-package-core.el
+++ b/lisp/use-package/use-package-core.el
@@ -1849,11 +1849,11 @@ Usage:
 :magic-fallback  Form to be added to `magic-fallback-mode-alist'.
 :interpreter     Form to be added to `interpreter-mode-alist'.
 
-:commands        Define autoloads for commands that will be defined by the
+:commands        Define autoloads for interactive commands defined by the
                  package.  This is useful if the package is being lazily
-                 loaded, and you wish to conditionally call functions in your
-                 `:init' block that are defined in the package.
-:autoload        Similar to :commands, but it for no-interactive one.
+                 loaded, and you wish to conditionally call functions in
+                 your `:init' block that are defined in the package.
+:autoload        Similar to `:commands', but used for non-interactive commands.
 :hook            Specify hook(s) to attach this package to.
 
 :bind            Bind keys, and define autoloads for the bound commands.
-- 
2.48.1